gens=60;
step=1/gens;
time=0:step:1;
press=.00025;
presh=.01;

gamma=4; %preference parameter in the utility function
e0=1;e1=.581; %intercept and slope of age-productivity profile.

%calibration of mu and hbar - straight from Rogerson-Wallenius code
h0t=.45; %target value for hmmax, so that 45% of discretionary time per week is worked
lamt=.758;%target value for share of lifetime working; comes from Eissa-Liebman data of 73.8% LFP
taut=.508; %initial average tax rate = 50.8% 
taun=.436; %new tax = 43.6% 
hbar=((e0*(1-lamt)+e1*lamt)/e0)^(1/gamma)*h0t*gamma/(1+gamma); %formula to
%calibrate hbar
mua=e0/h0t^gamma/(e0*h0t/(1/gamma+2).*(1-(1-lamt).^(1/gamma+2))-e0*hbar/2*(1-(1-lamt).^2)); %not sure what this is
mu=(1-taut)*e0/h0t^gamma/...
    (h0t/e0^(1/gamma)/(1/gamma+2)/(e1-e0).*((e0*(1-lamt)+e1*lamt).^(1/gamma+2)-e0^(1/gamma+2))-...
    hbar/2/(e1-e0).*((e0*(1-lamt)+e1*lamt).^2-e0^2)); %Really ugly expression for alpha (they call mu here, but alpha in paper)

%caluclate macro elasticity, extensive elasticity, and intensive elasticity
[hoursprof lfpprof nhoursprof nlfpprof]=EITCSimOLG_iterative(hbar,mu,e0,e1,gamma,taut,taun,gens,press,presh);

time2=[-60:step*60:60];
nhoursprof2=[hoursprof(2:gens+1) nhoursprof];
hoursprof2=[hoursprof(2:gens+1) hoursprof];
nlfpprof2=[lfpprof(2:gens+1) nlfpprof];
lfpprof2=[lfpprof(2:gens+1) lfpprof];
outmat=[time2' lfpprof2' nlfpprof2'];
csvwrite('EITC-point5-iterative.csv', outmat);
