function [out] = IcelandSystemCorner1(hmin0,hmax1,lamda1,hbar,mu,e0,e1,gamma,tau0,tau1,t0,t1,st,emin0,emax1)    
%returns vector for Iceland simulations of three equations and three unkowns
%when at corner solution for hours
    
    lamda0=t1-t0;
    %etwid is etwid0 in part 0
    part1=@(l) diag(etwid0(l,t0,t1,e0,e1)'*(min(hmin0*(etwid0(l,t0,t1,e0,e1)/emin0).^(1/gamma),ones(size(l)))-hbar));
    %etwid is standard etwid from EITC in part 1
    part3=@(l) (etwid(l,t1,e0,e1)).^(1+1/gamma);
    part4=@(l) etwid(l,t1,e0,e1);
    out=zeros(3,1);
    
    %The system (see documentation)
    out(1)=(1-tau0)*emin0*(1-t0)/mu/(hmin0^gamma)-(simint(part1,0,t1-t0,.0001)...
        +hmax1/(emax1^(1/gamma))*simint(part3,0,lamda1,.0001)-hbar*simint(part4,0,lamda1,.0001)+st);
    out(2)=hmax1-hbar*(1+gamma)/gamma*((emax1/part4(lamda1))^(1/gamma));
    out(3)=(1-tau1)*emax1*(1-t0)/mu/(hmax1^gamma)-(simint(part1,0,t1-t0,.0001)...
                +hmax1/(emax1^(1/gamma))*simint(part3,0,lamda1,.0001)-hbar*simint(part4,0,lamda1,.0001)+st);
end

